Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents
Enum Document.PageModeEnum

    java.lang.Object
      java.lang.Enum<Document.PageModeEnum>
          org.pdfclown.documents.Document.PageModeEnum

All Implemented Interfaces:
  Serializable, Comparable<Document.PageModeEnum>

Enclosing class:
  Document

    public static enum Document.PageModeEnum

extends Enum<Document.PageModeEnum>

Page mode specifying how the document should be displayed when opened [PDF:1.6:3.6.1].

Enum Constant Summary
`Attachments` Attachments panel visible.
`Bookmarks` Document outline visible.
`FullScreen` Full-screen mode, with no menu bar, window controls, or any other window visible.
`Layers` Optional content group panel visible.
`Simple` Neither document outline nor thumbnail images visible.
`Thumbnails` Thumbnail images visible.

Method Summary
`PdfName` | `getName()`
`static Document.PageModeEnum` | `valueOf(PdfName name)`
`static Document.PageModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Document.PageModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Simple

    public static final Document.PageModeEnum Simple

  Neither document outline nor thumbnail images visible.

### Bookmarks

    public static final Document.PageModeEnum Bookmarks

  Document outline visible.

### Thumbnails

    public static final Document.PageModeEnum Thumbnails

  Thumbnail images visible.

### FullScreen

    public static final Document.PageModeEnum FullScreen

  Full-screen mode, with no menu bar, window controls, or any other window visible.

### Layers

    @PDF(value=PDF15)
    public static final Document.PageModeEnum Layers

  Optional content group panel visible.

### Attachments

    @PDF(value=PDF16)
    public static final Document.PageModeEnum Attachments

  Attachments panel visible.

Method Detail

### values

    public static Document.PageModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Document.PageModeEnum c : Document.PageModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Document.PageModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static Document.PageModeEnum valueOf(PdfName name)

### getName

    public PdfName getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.